#include <iostream>
#include <algorithm>

using namespace std;

int f(int p,int n)
{
    return n/p+(n%p!=0);
}

bool ne_moze(int p,int q,int r,long long n)
{
    int a,b,c;
    a=f(p,n);
    b=f(q,n);
    c=f(r,n);
    return a+b+c>n;
}


long long f(int p,int q,int r,long long l,long long d,int nzd)
{
    long long res=d-l+1;
    for(int i=l;i<d&&i<nzd*3;i++)
        if(ne_moze(p,q,r,i))
            res--;
    return res;
}

int main()
{
    int p,q,r,nzd,nzs;
    long long l,d;
    cin>>p>>q>>r>>l>>d;
    nzd=__gcd(__gcd(p,q),r);
    nzs=p*q*r*nzd/__gcd(p,q)/__gcd(p,r)/__gcd(q,r);
    //cout<<nzs<<endl;
    if(p*q+p*r+q*r>p*q*r)
        cout<<0;
    else
        if(p*q+p*r+q*r==p*q*r)
            cout<<d/nzs-(l-1)/nzs;
        else
            cout<<f(p,q,r,l,d,nzs);

    return 0;
}